Bug 24605 - непригодно для live
: непригодно для live
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-def)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://lists.altlinux.org/pipermail/s...
:
:
: 23155 24606
  Show dependency tree
 
Reported: 2010-11-21 11:44 by
Modified: 2011-03-30 17:35 (History)


Attachments
aufs-2.6.37-std-def-alt1.png (6.42 KB, image/png)
2011-03-28 15:48, Sergey V Turchin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-21 11:44:37
Версия aufs в ядре несовместима с aufs2-util :

/sbin/mount.aufs:plink.c:223: AUFS_CTL_PLINK_MAINT: Inappropriate ioctl for
device
------- Comment #1 From 2010-12-08 14:56:06 -------
Какая точно команда вызывает это сообщение?
------- Comment #2 From 2010-12-08 14:59:22 -------
Может его уже обновить пора?
------- Comment #3 From 2010-12-08 15:31:00 -------
(В ответ на комментарий №1)
> Какая точно команда вызывает это сообщение?
В livecd на последней бете KDesktop-6.0 при перемонтировании /, он остается
из-за этого ro
Boyarsh наверняка может пальцем ткнуть в точную команду.
------- Comment #4 From 2010-12-10 17:08:31 -------
Когда исправят? Мне хотелось бы новую бету KDesktop с работающим LiveCD
------- Comment #5 From 2010-12-10 18:50:26 -------
Хотя, я так подумал: а надо ли мне оно вообще в KDesktop? el-smp как-то
надежнее выглядит в свете последних событий.
------- Comment #6 From 2010-12-15 13:41:05 -------
2.6.35-std-def-alt9
И с aufs2-util и с aufs2-util-ng осталось старое поведение: с первым не
монтриуется(#24606), со вторым останавливается и висит на этапе
перемонтирования.
------- Comment #7 From 2010-12-15 13:44:02 -------
(В ответ на комментарий №6)
> висит на этапе перемонтирования.
#24623
------- Comment #8 From 2010-12-15 13:53:46 -------
http://git.c3sl.ufpr.br/gitweb?p=aufs/aufs2-2.6.git;a=shortlog;h=refs/heads/aufs2.1-35

Вот с этим надо мержить.
------- Comment #9 From 2010-12-23 16:26:36 -------
Раз никто не исправляет, то, если никто не против, я _безвозвратно_ перехожу на
el-smp в kdesktop-6.0
------- Comment #10 From 2010-12-23 23:57:22 -------
JFYI, в std-ng уже есть aufs.
------- Comment #11 From 2010-12-24 13:44:32 -------
Зачем мне std-ng? Или JFWI?
------- Comment #12 From 2010-12-28 17:38:19 -------
(В ответ на комментарий №8)
> http://git.c3sl.ufpr.br/gitweb?p=aufs/aufs2-2.6.git;a=shortlog;h=refs/heads/aufs2.1-35
> 
> Вот с этим надо мержить.

А я вроде с этим и мерджил. Кто нибудь знает как получить это же но по
протоколу git?
------- Comment #13 From 2010-12-28 17:42:29 -------
Прям там на главной странице написано
------- Comment #14 From 2010-12-28 17:48:03 -------
Дык http://git.c3sl.ufpr.br/gitweb?p=aufs/aufs2-2.6.git;a=summary:

URL    http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-2.6.git
    git@git:./aufs/aufs2-2.6.git
------- Comment #15 From 2010-12-28 18:46:59 -------
Ага, а теперь попробуйте по этому урлу получить гит репозиторий. Второй явно
для автора только, а первый не качает.
------- Comment #16 From 2010-12-28 18:49:41 -------
(In reply to comment #15)
> Ага, а теперь попробуйте по этому урлу получить гит репозиторий. Второй явно
> для автора только, а первый не качает.

[remote "aufs2"]
    url = http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-2.6.git
    fetch = +refs/heads/*:refs/remotes/aufs2/*

ЧЯДНТ?
------- Comment #17 From 2010-12-28 18:54:27 -------
И git clone -vv http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-2.6.git работает:

Cloning into aufs2-2.6...
Getting alternates list for http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-2.6.git
Getting pack list for http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-2.6.git
Getting index for pack 4efa90d144aa470a73a765b5e34388d5cf09c6a1
...
------- Comment #18 From 2010-12-28 18:56:33 -------
git remote update  aufs
Fetching aufs
error: Unable to find 318e6cfaf0b906c3c7a6f25bfe5154ff7c6099b2 under
http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-2.6.git
Cannot obtain needed object 318e6cfaf0b906c3c7a6f25bfe5154ff7c6099b2
error: Fetch failed.
error: Could not fetch aufs
------- Comment #19 From 2010-12-28 23:01:34 -------
Это у тебя, IMHO, с локальным репозиторием какой-то развал.
------- Comment #20 From 2011-01-06 17:14:19 -------
хм... И оно до сих пор так?
Кто-нибудь kernel-image-std-def-2.6.35-alt9 проверял?

* Птн Ноя 26 2010 Michail Yakushin <silicium@altlinux.ru> 1:2.6.35-alt9
- 2.6.35.9
- fix CVE-2010-4249
- update AUFS
- migrate postscripts to filetrigger

А вообще не странно ли что версия aufs2-util 0.0 и сборка от даты Срд 24 Июн
2009 14:38:37?
С ним, действительно, возникает проблема:
$ sudo mount -t aufs -o br:/rw:/ro none /aufs
/sbin/mount.aufs:plink.c:223: AUFS_CTL_PLINK_MAINT: Inappropriate ioctl for
device

В то время как aufs2-util-ng-2.1-alt1 отрабатывает монтирование успешно. Ядро
2.6.35-std-def-alt7

На ядре 2.6.35-std-def-alt9, по непонятным для меня причинам, загрузка
отваливается на начальных этапах проверки файловых систем (EVMS конфликтует по
доступу к дискам и проверка вываливается в консоль исправления). Тем не менее
там тоже, скорее всего, aufs2-util-ng работает (могу проверить).

Вопрос кому и зачем нужен старый aufs2-util, если на сайте aufs.sourceforge.net
заявлено, что "Aufs2.1 supports linux-2.6.31 and later."?
------- Comment #21 From 2011-01-06 17:33:11 -------
> Вопрос кому и зачем нужен старый aufs2-util, если на сайте aufs.sourceforge.net
> заявлено, что "Aufs2.1 supports linux-2.6.31 and later."?

Когда я собирал util-ng, не во всех ядрах был 2.1.

Сейчас, вероятно, можно уже поставить Obsoletes: Provides:
------- Comment #22 From 2011-01-07 17:10:43 -------
(В ответ на комментарий №21)
> Сейчас, вероятно, можно уже поставить Obsoletes: Provides:

Ну, это как лучше... Я думаю, чтобы не путаться, стоит убрать aufs2-util-ng,
обновить aufs2-util до 2.1, сделать ему Obsoletes: Provides: для aufs2-util-ng.
Старый вариант, если потребуется, можно залить как сейчас залит aufs2-util-ng
под именем aufs2-util-compat.

Видится мне, может я и ошибаюсь, что переезд на el-smp не имел под собой
оснований...
------- Comment #23 From 2011-01-07 19:29:54 -------
(In reply to comment #20)
> Кто-нибудь kernel-image-std-def-2.6.35-alt9 проверял?
Собрал инсталер -- загрузился (/var и /etc на aufs).
------- Comment #24 From 2011-01-07 19:55:54 -------
installer всегда грузился, надо на livecd проверять, от KDE Desktop
------- Comment #25 From 2011-01-14 16:43:32 -------
(В ответ на комментарий №20)
> хм... И оно до сих пор так?
> Кто-нибудь kernel-image-std-def-2.6.35-alt9 проверял?
см. #6

> Вопрос кому и зачем нужен старый aufs2-util
Для текущего el-smp, например.
------- Comment #26 From 2011-02-16 13:56:30 -------
(В ответ на комментарий №20)
> Вопрос кому и зачем нужен старый aufs2-util, если на сайте aufs.sourceforge.net
> заявлено, что "Aufs2.1 supports linux-2.6.31 and later."?
Может, и правда, ну его нафиг старый, пока не отбранчевался 6.0 ?
------- Comment #27 From 2011-02-18 03:57:44 -------
Прошу комментировать и предлагать решения, учитывая #24623. 
Этой багой надо всерьез заняться, она блокирует выпуск десктопных бет.
------- Comment #28 From 2011-02-18 13:52:12 -------
Интересно так же, будет ли вообще поддерживаться std-def ?
Если в 6.X будет на таком же уровне, как в 5.1, то в KDesktop я его видеть не
хочу.
------- Comment #29 From 2011-03-15 16:20:18 -------
Сейчас виснет на перемонтировании / в rw с aufs2-util*-2.1-alt2.git0f0cf3f

Исправлять вообще собираются?
------- Comment #30 From 2011-03-15 16:27:22 -------
(В ответ на комментарий №29)
> Сейчас виснет на перемонтировании / в rw с aufs2-util*-2.1-alt2.git0f0cf3f
> 
> Исправлять вообще собираются?

Ядро какое? Это же было исправлено.
------- Comment #31 From 2011-03-15 16:32:11 -------
(В ответ на комментарий №30)
> Ядро какое?
kernel-image-std-def-2.6.35-alt9

> Это же было исправлено.
Видимо, нужно еще и kernel-image-std-def исправить
------- Comment #32 From 2011-03-16 11:07:34 -------
У меня тоже LiveCD не работает.
------- Comment #33 From 2011-03-28 05:16:06 -------
Что с 2.6.37-std-def-alt1 ?
------- Comment #34 From 2011-03-28 15:20:29 -------
(В ответ на комментарий №33)
> Что с 2.6.37-std-def-alt1 ?
Загрузка больше не останавливается, но / остается ro
------- Comment #35 From 2011-03-28 15:27:31 -------
(В ответ на комментарий №34)
> (В ответ на комментарий №33)
> > Что с 2.6.37-std-def-alt1 ?
> Загрузка больше не останавливается, но / остается ro

/ на squoshfs по определению ro
в rw перемонтируются каталоги /etc/ /bin /home и так далее. Сам / при этом
остаётся ro

cat /proc/mounts что говорит?
------- Comment #36 From 2011-03-28 15:39:55 -------
Неточно выразился. Загрузка не останавливается на перемонтировании, но
останавливается на запуске syslog. Перед этом идет ругань у всех, что /etc/*,
/var/* -- ro
------- Comment #37 From 2011-03-28 15:48:20 -------
Created an attachment (id=4849) [details]
aufs-2.6.37-std-def-alt1.png

Оказалось, через время прочухивается до login c руганью "unknown filesystem
'aufs'"
------- Comment #38 From 2011-03-28 15:51:10 -------
Собственно, в 2.6.37-std-def-alt1 и нет никакого aufs.ko
------- Comment #39 From 2011-03-28 15:52:20 -------
grep -i aufs /boot/config-2.6.37-std-def-alt1 
# CONFIG_AUFS_FS is not set
------- Comment #40 From 2011-03-28 15:58:50 -------
(В ответ на комментарий №39)
> grep -i aufs /boot/config-2.6.37-std-def-alt1 
> # CONFIG_AUFS_FS is not set

Угу, oldconfig его почему-то не подцепил
------- Comment #41 From 2011-03-28 16:34:52 -------
Угу, собрал образ, подтверждаю.
Ждем alt2 :)
------- Comment #42 From 2011-03-29 18:39:22 -------
(В ответ на комментарий №41)
> Угу, собрал образ, подтверждаю.
> Ждем alt2 :)

std-def-2.6.38 в Сизифе. Проверьте, пожалуйста
------- Comment #43 From 2011-03-30 09:53:45 -------
(In reply to comment #42)
> std-def-2.6.38 в Сизифе. Проверьте, пожалуйста

Проверил, работает.
Спасибо!
------- Comment #44 From 2011-03-30 11:16:30 -------
(В ответ на комментарий №43)
> (In reply to comment #42)
> > std-def-2.6.38 в Сизифе. Проверьте, пожалуйста
> 
> Проверил, работает.
> Спасибо!

Закрываю.